# Class SurfaceGenerator

java.lang.Object
org.jmol.jvxl.readers.SurfaceGenerator

public class SurfaceGenerator extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`AtomDataServer`
`atomDataServer`
`BS`
`bsVdw`
`String`
`fileType`
`boolean`
`isValid`
`JvxlData`
`jvxlData`
`MarchingSquares`
`marchingSquares`
`MeshData`
`meshData`
`MeshDataServer`
`meshDataServer`
`Parameters`
`params`
`String`
`version`
`VolumeData`
`volumeDataTemp`

## Constructor Summary

Constructors
Constructor
Description
`SurfaceGenerator(AtomDataServer atomDataServer, MeshDataServer meshDataServer, MeshData meshData, JvxlData jvxlData)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addRequiredFile(String fileName)`
`V3[]`
`getOriginVaVbVc()`
`Object`
`getProperty(String property, int index)`
only called from org.openscience.jvxl.Jvxl.main
`void`
`initState()`
`void`
`setJvxlData(JvxlData jvxlData)`
`String`
`setLcao()`
`boolean`
`setProp(String propertyName, Object value, BS bs)`
`void`
`setRequiredFile(String oldName, String fileName)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### params

public Parameters params

### jvxlData

public JvxlData jvxlData

### meshData

public MeshData meshData

### volumeDataTemp

public VolumeData volumeDataTemp

### meshDataServer

public MeshDataServer meshDataServer

### atomDataServer

public AtomDataServer atomDataServer

### marchingSquares

public MarchingSquares marchingSquares

### version

public String version

### isValid

public boolean isValid

### fileType

public String fileType

### bsVdw

public BS bsVdw

## Constructor Details

### SurfaceGenerator

public SurfaceGenerator(AtomDataServer atomDataServer, MeshDataServer meshDataServer, MeshData meshData, JvxlData jvxlData)

## Method Details

### setJvxlData

public void setJvxlData(JvxlData jvxlData)

### setProp

public boolean setProp(String propertyName, Object value, BS bs)

Parameters:
  `propertyName` -
  `value` -
  `bs` -
Returns:
  TRUE if handled

### getProperty

public Object getProperty(String property, int index)
only called from org.openscience.jvxl.Jvxl.main

Parameters:
  `property` -
  `index` -
Returns:
  Object

### initState

public void initState()

### setLcao

public String setLcao()

### addRequiredFile

public void addRequiredFile(String fileName)

### setRequiredFile

public void setRequiredFile(String oldName, String fileName)

### getOriginVaVbVc

public V3[] getOriginVaVbVc()